aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFran├žois Bissey <f.r.bissey@massey.ac.nz>2010-07-09 22:13:39 +1200
committerFran├žois Bissey <f.r.bissey@massey.ac.nz>2010-07-09 22:13:39 +1200
commit333407bd66fa5ad3c69b7618da550ed6e2c4ccbe (patch)
tree5d3189a76230f9a3d8216a2a5cb640c8f4a31701 /x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild
parent[sci-chemistry/gromacs] fix for bug #301854 (diff)
downloadsci-333407bd66fa5ad3c69b7618da550ed6e2c4ccbe.tar.gz
sci-333407bd66fa5ad3c69b7618da550ed6e2c4ccbe.tar.bz2
sci-333407bd66fa5ad3c69b7618da550ed6e2c4ccbe.zip
Import gl2ps with automagic dependencies fix.
Diffstat (limited to 'x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild')
-rw-r--r--x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild b/x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild
new file mode 100644
index 000000000..b5a87ae11
--- /dev/null
+++ b/x11-libs/gl2ps/gl2ps-1.3.5-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+inherit cmake-utils multilib
+
+DESCRIPTION="OpenGL to PostScript printing library"
+HOMEPAGE="http://www.geuz.org/gl2ps/"
+SRC_URI="http://geuz.org/${PN}/src/${P}.tgz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="png zlib doc"
+
+DEPEND="virtual/glut
+ png? ( media-libs/libpng )
+ zlib? ( sys-libs/zlib )
+ doc? ( dev-texlive/texlive-latex
+ dev-tex/tth )"
+
+S=${WORKDIR}/${P}-source
+
+PATCHES=( "${FILESDIR}/${P}-CMakeLists.patch" )
+
+src_configure() {
+ mycmakeargs="${mycmakeargs}
+ $(cmake-utils_use_has png PNG)
+ $(cmake-utils_use_has zlib ZLIB)
+ $(cmake-utils_use_has doc DOC)"
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ prepalldocs
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # CMake produces an invalid dylib here, but I have no clue how to fix it
+ # hmm, it's also unversioned :(
+ install_name_tool \
+ -id "${EPREFIX}"/usr/$(get_libdir)/libgl2ps.dylib \
+ "${D%/}${EPREFIX}"/usr/$(get_libdir)/libgl2ps.dylib || die
+ fi
+}